package beans;

/**
 * 
 * This is only a simple way of wrapping the information.
 * AgentFormat refers to this class and thus all the agents extending AgentFormat depend on this class too.
 * Conveyor refers to both DataPackage and AgentFormat and so depends on this class.
 * However, this class is very simple, with only one tag- and one data- variable.
 * Both variables are strings, so it should be pretty easy to store most kinds of data.
 * The point of this class however is that if you need to change it, just write a new class called DataPackage and overwrite.
 * 
 * @author Hvard Rykkelid
 *
 */
public class DataPackage
{
	
	private String tag;
	private String data;
	
	/**
	 * 
	 * Constructor of DataPackage.
	 * Needs two parameters, both of them String.
	 * The first parameter is the tag of the package.
	 * The second parameter is the data.
	 * 
	 * @param tag - the tag of the package
	 * @param data - the data of the package
	 */
	public DataPackage(String tag, String data)
	{
		this.tag = tag;
		this.data = data;
	}

	/**
	 * 
	 * Standard getter method
	 * 
	 * @return the data of the package
	 */
	public String getData()
	{
		return data;
	}

	/**
	 * 
	 * Standard setter method
	 * 
	 * @param data - the data of the package
	 */
	public void setData(String data)
	{
		this.data = data;
	}

	/**
	 * 
	 * Standard getter method
	 * 
	 * @return the tag of the package
	 */
	public String getTag()
	{
		return tag;
	}

	/**
	 * 
	 * Standard setter method
	 * 
	 * @param tag - the tag of the package
	 */
	public void setTag(String tag)
	{
		this.tag = tag;
	}

}
