package beans;

/**
 * 
 * KeySentenceBean is a simple class for storing the data of the key-sentences.
 * KeySentenceBean consists of two elements:
 * label is the name of the type of relationship this key-sentence signals, e.g. "hyponymy".
 * words is an array with all the words in the key-sentence.  One word per entry in words.
 * 
 * @author Hvard Rykkelid
 *
 */
public class KeySentenceBean
{

	private String label;
	private String[] words;

	/**
	 * 
	 * The constructor for KeySentenceBean.
	 * Takes two parameters.
	 * The first is a String containing the label.
	 * The second is a String containing the key-sentence.
	 * 
	 * @param label - the name of the type of relationship this key-sentence signals
	 * @param sentence - the key-sentence
	 */
	public KeySentenceBean(String label, String sentence)
	{
		this.label = label;
		words = sentence.trim().split(" ");
	}
	
	/**
	 * 
	 * Standard getter method
	 * 
	 * @return the name of the type of relationship this key-sentence signals
	 */
	public String getLabel()
	{
		return label;
	}
	
	/**
	 * 
	 * Standard getter method
	 * 
	 * @return an array where each element is a word from the key-sentence
	 */
	public String[] getWords()
	{
		return words;
	}
}